Warning, /education/kwordquiz/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required(VERSION 3.16)
0002 
0003 # KDE Application Version, managed by release script
0004 set(RELEASE_SERVICE_VERSION_MAJOR "23")
0005 set(RELEASE_SERVICE_VERSION_MINOR "03")
0006 set(RELEASE_SERVICE_VERSION_MICRO "70")
0007 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
0008 
0009 project(kwordquiz VERSION ${RELEASE_SERVICE_VERSION})
0010 
0011 if(NOT MSVC)
0012     set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-Wall -Wno-switch -O2 -g")
0013     set(CMAKE_CXX_FLAGS_RELEASE "-Wall -Wno-switch -O2")
0014     set(CMAKE_CXX_FLAGS_DEBUG  "-Wall -Wno-switch -g3 -ggdb -O0" CACHE STRING "Debug options." FORCE)
0015 endif(NOT MSVC)
0016 
0017 include(FeatureSummary)
0018 set(KF5_MIN_VERSION "5.92.0")
0019 set(REQUIRED_QT_VERSION "5.15.0")
0020 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
0021 find_package(ECM ${KF5_MIN_VERSION} NO_MODULE REQUIRED)
0022 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
0023 
0024 
0025 include(KDEInstallDirs)
0026 include(KDECMakeSettings)
0027 include(KDECompilerSettings NO_POLICY_SCOPE)
0028 include(ECMInstallIcons)
0029 include(ECMAddAppIcon)
0030 include(ECMSetupVersion)
0031 include(ECMAddTests)
0032 include(ECMDeprecationSettings)
0033 
0034 
0035 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets PrintSupport)
0036 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
0037     I18n
0038     Crash
0039     Config
0040     ConfigWidgets
0041     DocTools
0042     GuiAddons
0043     ItemViews
0044     NotifyConfig
0045     NewStuff
0046     Notifications
0047     XmlGui
0048 )
0049 include_directories (${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )
0050 
0051 find_package(Phonon4Qt${QT_MAJOR_VERSION} 4.6.60 NO_MODULE REQUIRED)
0052 
0053 find_package(LibKEduVocDocument REQUIRED)
0054 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
0055 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
0056 ecm_set_disabled_deprecation_versions(QT 5.15.2  KF 5.89.0)
0057 
0058 add_subdirectory(doc)
0059 add_subdirectory(src)
0060 
0061 if(BUILD_TESTING)
0062     find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)
0063 
0064     add_subdirectory(autotests)
0065 endif()
0066 
0067 ki18n_install(po)
0068 if (KF5DocTools_FOUND)
0069     kdoctools_install(po)
0070 endif()
0071 install(FILES org.kde.kwordquiz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
0072 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)